# This file was originally generated by Dist::Zilla::Plugin::MakeMaker v6.012,
# but is now manually maintained.
use strict;
use warnings;

use 5.006;

use ExtUtils::MakeMaker;

my $mm_ver = ExtUtils::MakeMaker->VERSION;

my %WriteMakefileArgs = (
  "ABSTRACT" => "Run commands simply, with detailed diagnostics",
  "AUTHOR" => "Paul Fenwick <pjf\@cpan.org>",
  "CONFIGURE_REQUIRES" => {
    "ExtUtils::MakeMaker" => 0
  },
  "DISTNAME" => "IPC-System-Simple",
  "LICENSE" => "perl",
  "MIN_PERL_VERSION" => "5.006",
  "NAME" => "IPC::System::Simple",
  "PREREQ_PM" => {
    "Carp" => 0,
    "Exporter" => 0,
    "List::Util" => 0,
    "POSIX" => 0,
    "Scalar::Util" => 0,
    "constant" => 0,
    "re" => 0,
    "strict" => 0,
    "warnings" => 0
  },
  "TEST_REQUIRES" => {
    "File::Basename" => 0,
    "Test" => 0,
    "Test::More" => 0
  },
  "VERSION_FROM" => 'lib/IPC/System/Simple.pm',
  "test" => {
    "TESTS" => "t/*.t"
  },
  ($mm_ver < 6.46 ? () : (META_MERGE => {
        'meta-spec' => { version => 2 },
        dynamic_config => 1,
        resources => {
            homepage => 'http://thenceforward.net/perl/modules/IPC-System-Simple/',
            repository  => {
                url => 'https://github.com/pjf/ipc-system-simple.git',
                web => 'https://github.com/pjf/ipc-system-simple',
                type => 'git',
            },
            bugtracker => {
                web => 'https://github.com/pjf/ipc-system-simple/issues',
            },
        },
  })),
);


my %FallbackPrereqs = (
  "Carp" => 0,
  "Exporter" => 0,
  "File::Basename" => 0,
  "List::Util" => 0,
  "POSIX" => 0,
  "Scalar::Util" => 0,
  "Test" => 0,
  "Test::More" => 0,
  "constant" => 0,
  "re" => 0,
  "strict" => 0,
  "warnings" => 0
);


unless ( eval { ExtUtils::MakeMaker->VERSION(6.63_03) } ) {
  delete $WriteMakefileArgs{TEST_REQUIRES};
  delete $WriteMakefileArgs{BUILD_REQUIRES};
  $WriteMakefileArgs{PREREQ_PM} = \%FallbackPrereqs;
}

delete $WriteMakefileArgs{CONFIGURE_REQUIRES}
  unless eval { ExtUtils::MakeMaker->VERSION(6.52) };

my %win32_modules = (
	'Win32::ShellQuote' => 0,
	'Win32::Process'    => 0,
);
if ( $^O eq 'MSWin32' ) {
    for my $k (keys %win32_modules) {
        $WriteMakefileArgs{PREREQ_PM}{$k} = $win32_modules{$k};
        $FallbackPrereqs{$k}              = $win32_modules{$k};
    }
}

WriteMakefile(%WriteMakefileArgs);
